<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<!--mybatis-3-mapper.dtd:约束文件的名称，限制和检查在当前文件中出现的标签和属性符合mybatis的要求-->
<!--namespace：命名空间，要有唯一的值，要求使用dao接口的权限定名称（一个dao接口对应一个mapper，namespace指明对应哪个dao接口）-->
<mapper namespace="com.ruoyi.test.mapper.MessageMapper">
    <!-- 所有的数据库操作都要写在mapper标签中，可以使用特定的标签表示数据库中的特定操作 -->

    <insert id="addMessage" parameterType="Message">
        insert into message(
            teacher_id,
            student_id,
            source,
            tf,
            createtime
        )values (
                 #{message.teacherId},
                 #{message.studentId},
                 #{message.source},
                 #{message.tf},
                 Now()
            )
    </insert>

    <update id="updateMessage" parameterType="Long">
        update message set tf="true" where id=#{id}
    </update>
</mapper>
